Bug 980327 - [RFE] QCOW2v3 support for external snapshots
[RFE] QCOW2v3 support for external snapshots
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ján Tomko
Virtualization Bugs
: FutureFeature
Depends On: 827525
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 01:40 EDT by Ján Tomko
Modified: 2016-04-26 10:30 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 09:58:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ján Tomko 2013-07-02 01:40:31 EDT
Support creating external snapshots with QCOW2v3 features.

Currently, libvirt creates inactive external snapshots by calling qemu-img, for active (live) external snapshots it uses the blockdev-snapshot-sync QMP command and lets QEMU create them.

For inactive snapshots, libvirt only needs to supply the requested features (and compat level) to qemu-img on the command line.

For active snapshots, libvirt will have to create the file and use 'mode': 'existing' parameter of blockdev-snapshot-sync.

https://www.redhat.com/archives/libvir-list/2013-June/msg00846.html
https://www.redhat.com/archives/libvir-list/2013-June/msg00867.html
Comment 4 Ján Tomko 2015-04-10 08:59:59 EDT
Upstream patches:
https://www.redhat.com/archives/libvir-list/2015-April/msg00392.html

Note You need to log in before you can comment on or make changes to this bug.